%bcond_without dotests

%define perl  %{_bindir}/perl_64
%define perl32  %{_bindir}/perl_32
%define perl64  %{_bindir}/perl_64
%define perl_version  %(eval "`%{perl} -V:version`" ; echo $version | sed "s|\.[0-9]*$||")

%define perl_vendorlib %(eval "`%{perl} -V:installvendorlib`"; echo $installvendorlib)


Name:           perl-WWW-RobotRules
Version:        6.02
Release:        1
Summary:        Database of robots.txt-derived permissions
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/WWW-RobotRules
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/WWW-RobotRules-%{version}.tar.gz
Source1000:     %{name}-%{version}-%{release}.build.log
BuildArch:      noarch

# BEWARE, not the same version
Provides:       perl(WWW::RobotRules)           = %version
Provides:       perl(WWW::RobotRules::AnyDBM_File) = 6.00

Requires:       perl(perl)                      >= 5.30
Requires:       perl(AnyDBM_File)
Requires:       perl(Fcntl)
Requires:       perl(URI)                       >= 1.10

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make

BuildRequires:  perl(perl)                      >= 5.30
BuildRequires:  perl(ExtUtils::MakeMaker)

# To test
BuildRequires:  perl(AnyDBM_File)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(URI)                       >= 1.10


%description
This module parses /robots.txt files as specified in "A Standard for Robot
Exclusion", at <http://www.robotstxt.org/wc/norobots.html>. Webmasters can
use the /robots.txt file to forbid conforming robots from accessing parts
of their web site.


%prep
%setup -q -n WWW-RobotRules-%{version}


%build
%perl Makefile.PL INSTALLDIRS="vendor" NO_PACKLIST=1 verbose
gmake



%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} INSTALLVENDORMAN1DIR=%{_mandir}/man1 INSTALLVENDORMAN3DIR=%{_mandir}/man3

%{_fixperms} -c %{buildroot}


%check
%if %{with dotests}
  gmake test TEST_VERBOSE=1
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README
%{perl_vendorlib}/WWW/*
%{_mandir}/man3/*


%changelog
* Fri Dec 06 2019 Etienne Guesnet <etienne.guesnet.external@atos.net> 6.19-1
- Port on AIX.
